Index: protocols/oscar/ssi.c
===================================================================
--- protocols/oscar/ssi.c	(revision 8519f457c31139750b9f7497834ac90a57196d22)
+++ protocols/oscar/ssi.c	(revision 75ad761cc229568e799659d6c6a623c4bc837ba4)
@@ -3,14 +3,14 @@
  *
  * Relatively new facility that allows storing of certain types of information,
- * such as a users buddy list, permit/deny list, and permit/deny preferences, 
+ * such as a users buddy list, permit/deny list, and permit/deny preferences,
  * to be stored on the server, so that they can be accessed from any client.
  *
- * We keep a copy of the ssi data in sess->ssi, because the data needs to be 
- * accessed for various reasons.  So all the "aim_ssi_itemlist_bleh" functions 
+ * We keep a copy of the ssi data in sess->ssi, because the data needs to be
+ * accessed for various reasons.  So all the "aim_ssi_itemlist_bleh" functions
  * near the top just manage the local data.
  *
- * The SNAC sending and receiving functions are lower down in the file, and 
- * they're simpler.  They are in the order of the subtypes they deal with, 
- * starting with the request rights function (subtype 0x0002), then parse 
+ * The SNAC sending and receiving functions are lower down in the file, and
+ * they're simpler.  They are in the order of the subtypes they deal with,
+ * starting with the request rights function (subtype 0x0002), then parse
  * rights (subtype 0x0003), then--well, you get the idea.
  *
@@ -30,28 +30,31 @@
  *
  * @param list A pointer to a pointer to the current list of items.
- * @param parent A pointer to the parent group, or NULL if the item should have no 
+ * @param parent A pointer to the parent group, or NULL if the item should have no
  *        parent group (ie. the group ID# should be 0).
- * @param name A null terminated string of the name of the new item, or NULL if the 
+ * @param name A null terminated string of the name of the new item, or NULL if the
  *        item should have no name.
  * @param type The type of the item, 0x0001 for a contact, 0x0002 for a group, etc.
  * @return The newly created item.
  */
-static struct aim_ssi_item *aim_ssi_itemlist_add(struct aim_ssi_item **list, struct aim_ssi_item *parent, char *name, guint16 type)
+static struct aim_ssi_item *aim_ssi_itemlist_add(struct aim_ssi_item **list, struct aim_ssi_item *parent, char *name,
+                                                 guint16 type)
 {
 	int i;
 	struct aim_ssi_item *cur, *newitem;
 
-	if (!(newitem = g_new0(struct aim_ssi_item, 1)))
+	if (!(newitem = g_new0(struct aim_ssi_item, 1))) {
 		return NULL;
+	}
 
 	/* Set the name */
 	if (name) {
-		if (!(newitem->name = (char *)g_malloc((strlen(name)+1)*sizeof(char)))) {
+		if (!(newitem->name = (char *) g_malloc((strlen(name) + 1) * sizeof(char)))) {
 			g_free(newitem);
 			return NULL;
 		}
 		strcpy(newitem->name, name);
-	} else
+	} else {
 		newitem->name = NULL;
+	}
 
 	/* Set the group ID# and the buddy ID# */
@@ -59,19 +62,25 @@
 	newitem->bid = 0x0000;
 	if (type == AIM_SSI_TYPE_GROUP) {
-		if (name)
+		if (name) {
 			do {
 				newitem->gid += 0x0001;
-				for (cur=*list, i=0; ((cur) && (!i)); cur=cur->next)
-					if ((cur->gid == newitem->gid) && (cur->gid == newitem->gid))
-						i=1;
+				for (cur = *list, i = 0; ((cur) && (!i)); cur = cur->next) {
+					if ((cur->gid == newitem->gid) && (cur->gid == newitem->gid)) {
+						i = 1;
+					}
+				}
 			} while (i);
+		}
 	} else {
-		if (parent)
+		if (parent) {
 			newitem->gid = parent->gid;
+		}
 		do {
 			newitem->bid += 0x0001;
-			for (cur=*list, i=0; ((cur) && (!i)); cur=cur->next)
-				if ((cur->bid == newitem->bid) && (cur->gid == newitem->gid))
-					i=1;
+			for (cur = *list, i = 0; ((cur) && (!i)); cur = cur->next) {
+				if ((cur->bid == newitem->bid) && (cur->gid == newitem->gid)) {
+					i = 1;
+				}
+			}
 		} while (i);
 	}
@@ -100,5 +109,5 @@
 	/* Free the old additional data */
 	if (parentgroup->data) {
-		aim_freetlvchain((aim_tlvlist_t **)&parentgroup->data);
+		aim_freetlvchain((aim_tlvlist_t **) &parentgroup->data);
 		parentgroup->data = NULL;
 	}
@@ -107,30 +116,39 @@
 	newlen = 0;
 	if (parentgroup->gid == 0x0000) {
-		for (cur=*list; cur; cur=cur->next)
-			if ((cur->gid != 0x0000) && (cur->type == AIM_SSI_TYPE_GROUP))
+		for (cur = *list; cur; cur = cur->next) {
+			if ((cur->gid != 0x0000) && (cur->type == AIM_SSI_TYPE_GROUP)) {
 				newlen += 2;
+			}
+		}
 	} else {
-		for (cur=*list; cur; cur=cur->next)
-			if ((cur->gid == parentgroup->gid) && (cur->type == AIM_SSI_TYPE_BUDDY))
+		for (cur = *list; cur; cur = cur->next) {
+			if ((cur->gid == parentgroup->gid) && (cur->type == AIM_SSI_TYPE_BUDDY)) {
 				newlen += 2;
+			}
+		}
 	}
 
 	/* Rebuild the additional data */
-	if (newlen>0) {
+	if (newlen > 0) {
 		guint8 *newdata;
 
-		if (!(newdata = (guint8 *)g_malloc((newlen)*sizeof(guint8))))
+		if (!(newdata = (guint8 *) g_malloc((newlen) * sizeof(guint8)))) {
 			return -ENOMEM;
+		}
 		newlen = 0;
 		if (parentgroup->gid == 0x0000) {
-			for (cur=*list; cur; cur=cur->next)
-				if ((cur->gid != 0x0000) && (cur->type == AIM_SSI_TYPE_GROUP))
-						newlen += aimutil_put16(newdata+newlen, cur->gid);
+			for (cur = *list; cur; cur = cur->next) {
+				if ((cur->gid != 0x0000) && (cur->type == AIM_SSI_TYPE_GROUP)) {
+					newlen += aimutil_put16(newdata + newlen, cur->gid);
+				}
+			}
 		} else {
-			for (cur=*list; cur; cur=cur->next)
-				if ((cur->gid == parentgroup->gid) && (cur->type == AIM_SSI_TYPE_BUDDY))
-						newlen += aimutil_put16(newdata+newlen, cur->bid);
-		}
-		aim_addtlvtochain_raw((aim_tlvlist_t **)&(parentgroup->data), 0x00c8, newlen, newdata);
+			for (cur = *list; cur; cur = cur->next) {
+				if ((cur->gid == parentgroup->gid) && (cur->type == AIM_SSI_TYPE_BUDDY)) {
+					newlen += aimutil_put16(newdata + newlen, cur->bid);
+				}
+			}
+		}
+		aim_addtlvtochain_raw((aim_tlvlist_t **) &(parentgroup->data), 0x00c8, newlen, newdata);
 
 		g_free(newdata);
@@ -152,6 +170,10 @@
 	cur = sess->ssi.items;
 	while (cur) {
-		if (cur->name)  g_free(cur->name);
-		if (cur->data)  aim_freetlvchain((aim_tlvlist_t **)&cur->data);
+		if (cur->name) {
+			g_free(cur->name);
+		}
+		if (cur->data) {
+			aim_freetlvchain((aim_tlvlist_t **) &cur->data);
+		}
 		delitem = cur;
 		cur = cur->next;
@@ -161,5 +183,5 @@
 	sess->ssi.items = NULL;
 	sess->ssi.revision = 0;
-	sess->ssi.timestamp = (time_t)0;
+	sess->ssi.timestamp = (time_t) 0;
 
 	return 0;
@@ -177,12 +199,15 @@
 {
 	struct aim_ssi_item *cur;
-	for (cur=list; cur; cur=cur->next)
-		if ((cur->gid == gid) && (cur->bid == bid))
+
+	for (cur = list; cur; cur = cur->next) {
+		if ((cur->gid == gid) && (cur->bid == bid)) {
 			return cur;
+		}
+	}
 	return NULL;
 }
 
 /**
- * Locally find an item given a group name, screen name, and type.  If group name 
+ * Locally find an item given a group name, screen name, and type.  If group name
  * and screen name are null, then just return the first item of the given type.
  *
@@ -196,25 +221,35 @@
 {
 	struct aim_ssi_item *cur;
-	if (!list)
+
+	if (!list) {
 		return NULL;
+	}
 
 	if (gn && sn) { /* For finding buddies in groups */
-		for (cur=list; cur; cur=cur->next)
+		for (cur = list; cur; cur = cur->next) {
 			if ((cur->type == type) && (cur->name) && !(aim_sncmp(cur->name, sn))) {
 				struct aim_ssi_item *curg;
-				for (curg=list; curg; curg=curg->next)
-					if ((curg->type == AIM_SSI_TYPE_GROUP) && (curg->gid == cur->gid) && (curg->name) && !(aim_sncmp(curg->name, gn)))
+				for (curg = list; curg; curg = curg->next) {
+					if ((curg->type == AIM_SSI_TYPE_GROUP) && (curg->gid == cur->gid) &&
+					    (curg->name) && !(aim_sncmp(curg->name, gn))) {
 						return cur;
-			}
+					}
+				}
+			}
+		}
 
 	} else if (sn) { /* For finding groups, permits, denies, and ignores */
-		for (cur=list; cur; cur=cur->next)
-			if ((cur->type == type) && (cur->name) && !(aim_sncmp(cur->name, sn)))
+		for (cur = list; cur; cur = cur->next) {
+			if ((cur->type == type) && (cur->name) && !(aim_sncmp(cur->name, sn))) {
 				return cur;
-
-	/* For stuff without names--permit deny setting, visibility mask, etc. */
-	} else for (cur=list; cur; cur=cur->next) {
-		if (cur->type == type)
-			return cur;
+			}
+		}
+
+		/* For stuff without names--permit deny setting, visibility mask, etc. */
+	} else { for (cur = list; cur; cur = cur->next) {
+			 if (cur->type == type) {
+				 return cur;
+			 }
+		 }
 	}
 
@@ -232,11 +267,16 @@
 {
 	struct aim_ssi_item *cur, *curg;
-	if (!list || !sn)
+
+	if (!list || !sn) {
 		return NULL;
-	if (!(cur = aim_ssi_itemlist_finditem(list, NULL, sn, AIM_SSI_TYPE_BUDDY)))
+	}
+	if (!(cur = aim_ssi_itemlist_finditem(list, NULL, sn, AIM_SSI_TYPE_BUDDY))) {
 		return NULL;
-	for (curg=list; curg; curg=curg->next)
-		if ((curg->type == AIM_SSI_TYPE_GROUP) && (curg->gid == cur->gid))
+	}
+	for (curg = list; curg; curg = curg->next) {
+		if ((curg->type == AIM_SSI_TYPE_GROUP) && (curg->gid == cur->gid)) {
 			return curg;
+		}
+	}
 	return NULL;
 }
@@ -251,18 +291,20 @@
 {
 	struct aim_ssi_item *cur = aim_ssi_itemlist_finditem(list, NULL, NULL, AIM_SSI_TYPE_PDINFO);
+
 	if (cur) {
 		aim_tlvlist_t *tlvlist = cur->data;
 		if (tlvlist) {
 			aim_tlv_t *tlv = aim_gettlv(tlvlist, 0x00ca, 1);
-			if (tlv && tlv->value)
+			if (tlv && tlv->value) {
 				return aimutil_get8(tlv->value);
-		}
-	}
-	return 0;
-}
-
-/**
- * Add the given packet to the holding queue.  We totally need to send SSI SNACs one at 
- * a time, so we have a local queue where packets get put before they are sent, and 
+			}
+		}
+	}
+	return 0;
+}
+
+/**
+ * Add the given packet to the holding queue.  We totally need to send SSI SNACs one at
+ * a time, so we have a local queue where packets get put before they are sent, and
  * then we send stuff one at a time, nice and orderly-like.
  *
@@ -276,14 +318,18 @@
 	aim_frame_t *cur;
 
-	if (!sess || !conn || !fr)
-		return -EINVAL;
+	if (!sess || !conn || !fr) {
+		return -EINVAL;
+	}
 
 	fr->next = NULL;
 	if (sess->ssi.holding_queue == NULL) {
 		sess->ssi.holding_queue = fr;
-		if (!sess->ssi.waiting_for_ack)
+		if (!sess->ssi.waiting_for_ack) {
 			aim_ssi_modbegin(sess, conn);
+		}
 	} else {
-		for (cur = sess->ssi.holding_queue; cur->next; cur = cur->next) ;
+		for (cur = sess->ssi.holding_queue; cur->next; cur = cur->next) {
+			;
+		}
 		cur->next = fr;
 	}
@@ -293,6 +339,6 @@
 
 /**
- * Send the next SNAC from the holding queue.  This is called 
- * automatically when an ack from an add, mod, or del is received.  
+ * Send the next SNAC from the holding queue.  This is called
+ * automatically when an ack from an add, mod, or del is received.
  * If the queue is empty, it sends the modend SNAC.
  *
@@ -305,6 +351,7 @@
 	aim_frame_t *cur;
 
-	if (!sess || !conn)
-		return -EINVAL;
+	if (!sess || !conn) {
+		return -EINVAL;
+	}
 
 	if (!sess->ssi.waiting_for_ack) {
@@ -315,6 +362,7 @@
 			aim_tx_enqueue(sess, sess->ssi.holding_queue);
 			sess->ssi.holding_queue = cur;
-		} else
+		} else {
 			aim_ssi_modend(sess, conn);
+		}
 	}
 
@@ -338,20 +386,23 @@
 	guint16 i;
 
-	if (!sess || !conn || !gn || !sn || !num)
-		return -EINVAL;
+	if (!sess || !conn || !gn || !sn || !num) {
+		return -EINVAL;
+	}
 
 	/* Look up the parent group */
 	if (!(parentgroup = aim_ssi_itemlist_finditem(sess->ssi.items, NULL, gn, AIM_SSI_TYPE_GROUP))) {
 		aim_ssi_addgroups(sess, conn, &gn, 1);
-		if (!(parentgroup = aim_ssi_itemlist_finditem(sess->ssi.items, NULL, gn, AIM_SSI_TYPE_GROUP)))
+		if (!(parentgroup = aim_ssi_itemlist_finditem(sess->ssi.items, NULL, gn, AIM_SSI_TYPE_GROUP))) {
 			return -ENOMEM;
+		}
 	}
 
 	/* Allocate an array of pointers to each of the new items */
-	if (!(newitems = g_new0(struct aim_ssi_item *, num)))
+	if (!(newitems = g_new0(struct aim_ssi_item *, num))) {
 		return -ENOMEM;
+	}
 
 	/* Add items to the local list, and index them in the array */
-	for (i=0; i<num; i++)
+	for (i = 0; i < num; i++) {
 		if (!(newitems[i] = aim_ssi_itemlist_add(&sess->ssi.items, parentgroup, sn[i], AIM_SSI_TYPE_BUDDY))) {
 			g_free(newitems);
@@ -362,4 +413,5 @@
 			newitems[i]->data = tl;
 		}
+	}
 
 	/* Send the add item SNAC */
@@ -373,20 +425,23 @@
 
 	/* Rebuild the additional data in the parent group */
-	if ((i = aim_ssi_itemlist_rebuildgroup(&sess->ssi.items, parentgroup)))
+	if ((i = aim_ssi_itemlist_rebuildgroup(&sess->ssi.items, parentgroup))) {
 		return i;
+	}
 
 	/* Send the mod item SNAC */
-	if ((i = aim_ssi_addmoddel(sess, conn, &parentgroup, 1, AIM_CB_SSI_MOD )))
+	if ((i = aim_ssi_addmoddel(sess, conn, &parentgroup, 1, AIM_CB_SSI_MOD))) {
 		return i;
+	}
 
 	/* Begin sending SSI SNACs */
-	if (!(i = aim_ssi_dispatch(sess, conn)))
+	if (!(i = aim_ssi_dispatch(sess, conn))) {
 		return i;
-
-	return 0;
-}
-
-/**
- * Add the master group (the group containing all groups).  This is called by 
+	}
+
+	return 0;
+}
+
+/**
+ * Add the master group (the group containing all groups).  This is called by
  * aim_ssi_addgroups, if necessary.
  *
@@ -399,10 +454,12 @@
 	struct aim_ssi_item *newitem;
 
-	if (!sess || !conn)
-		return -EINVAL;
+	if (!sess || !conn) {
+		return -EINVAL;
+	}
 
 	/* Add the item to the local list, and keep a pointer to it */
-	if (!(newitem = aim_ssi_itemlist_add(&sess->ssi.items, NULL, NULL, AIM_SSI_TYPE_GROUP)))
+	if (!(newitem = aim_ssi_itemlist_add(&sess->ssi.items, NULL, NULL, AIM_SSI_TYPE_GROUP))) {
 		return -ENOMEM;
+	}
 
 	/* If there are any existing groups (technically there shouldn't be, but */
@@ -433,24 +490,28 @@
 	guint16 i;
 
-	if (!sess || !conn || !gn || !num)
-		return -EINVAL;
+	if (!sess || !conn || !gn || !num) {
+		return -EINVAL;
+	}
 
 	/* Look up the parent group */
 	if (!(parentgroup = aim_ssi_itemlist_find(sess->ssi.items, 0, 0))) {
 		aim_ssi_addmastergroup(sess, conn);
-		if (!(parentgroup = aim_ssi_itemlist_find(sess->ssi.items, 0, 0)))
+		if (!(parentgroup = aim_ssi_itemlist_find(sess->ssi.items, 0, 0))) {
 			return -ENOMEM;
+		}
 	}
 
 	/* Allocate an array of pointers to each of the new items */
-	if (!(newitems = g_new0(struct aim_ssi_item *, num)))
+	if (!(newitems = g_new0(struct aim_ssi_item *, num))) {
 		return -ENOMEM;
+	}
 
 	/* Add items to the local list, and index them in the array */
-	for (i=0; i<num; i++)
+	for (i = 0; i < num; i++) {
 		if (!(newitems[i] = aim_ssi_itemlist_add(&sess->ssi.items, parentgroup, gn[i], AIM_SSI_TYPE_GROUP))) {
 			g_free(newitems);
 			return -ENOMEM;
 		}
+	}
 
 	/* Send the add item SNAC */
@@ -464,21 +525,24 @@
 
 	/* Rebuild the additional data in the parent group */
-	if ((i = aim_ssi_itemlist_rebuildgroup(&sess->ssi.items, parentgroup)))
+	if ((i = aim_ssi_itemlist_rebuildgroup(&sess->ssi.items, parentgroup))) {
 		return i;
+	}
 
 	/* Send the mod item SNAC */
-	if ((i = aim_ssi_addmoddel(sess, conn, &parentgroup, 1, AIM_CB_SSI_MOD)))
+	if ((i = aim_ssi_addmoddel(sess, conn, &parentgroup, 1, AIM_CB_SSI_MOD))) {
 		return i;
+	}
 
 	/* Begin sending SSI SNACs */
-	if (!(i = aim_ssi_dispatch(sess, conn)))
+	if (!(i = aim_ssi_dispatch(sess, conn))) {
 		return i;
-
-	return 0;
-}
-
-/**
- * Add an array of a certain type of item to the list.  This can be used for 
- * permit buddies, deny buddies, ICQ's ignore buddies, and probably other 
+	}
+
+	return 0;
+}
+
+/**
+ * Add an array of a certain type of item to the list.  This can be used for
+ * permit buddies, deny buddies, ICQ's ignore buddies, and probably other
  * types, also.
  *
@@ -487,5 +551,5 @@
  * @param sn An array of null terminated strings of the names you want to add.
  * @param num The number of groups names you are adding (size of the sn array).
- * @param type The type of item you want to add.  See the AIM_SSI_TYPE_BLEH 
+ * @param type The type of item you want to add.  See the AIM_SSI_TYPE_BLEH
  *        #defines in aim.h.
  * @return Return 0 if no errors, otherwise return the error number.
@@ -496,17 +560,20 @@
 	guint16 i;
 
-	if (!sess || !conn || !sn || !num)
-		return -EINVAL;
+	if (!sess || !conn || !sn || !num) {
+		return -EINVAL;
+	}
 
 	/* Allocate an array of pointers to each of the new items */
-	if (!(newitems = g_new0(struct aim_ssi_item *, num)))
+	if (!(newitems = g_new0(struct aim_ssi_item *, num))) {
 		return -ENOMEM;
+	}
 
 	/* Add items to the local list, and index them in the array */
-	for (i=0; i<num; i++)
+	for (i = 0; i < num; i++) {
 		if (!(newitems[i] = aim_ssi_itemlist_add(&sess->ssi.items, NULL, sn[i], type))) {
 			g_free(newitems);
 			return -ENOMEM;
 		}
+	}
 
 	/* Send the add item SNAC */
@@ -520,12 +587,13 @@
 
 	/* Begin sending SSI SNACs */
-	if (!(i = aim_ssi_dispatch(sess, conn)))
+	if (!(i = aim_ssi_dispatch(sess, conn))) {
 		return i;
-
-	return 0;
-}
-
-/**
- * Move a buddy from one group to another group.  This basically just deletes the 
+	}
+
+	return 0;
+}
+
+/**
+ * Move a buddy from one group to another group.  This basically just deletes the
  * buddy and re-adds it.
  *
@@ -542,14 +610,17 @@
 	guint16 i;
 
-	if (!sess || !conn || !oldgn || !newgn || !sn)
-		return -EINVAL;
+	if (!sess || !conn || !oldgn || !newgn || !sn) {
+		return -EINVAL;
+	}
 
 	/* Look up the buddy */
-	if (!(buddy = aim_ssi_itemlist_finditem(sess->ssi.items, NULL, sn, AIM_SSI_TYPE_BUDDY)))
+	if (!(buddy = aim_ssi_itemlist_finditem(sess->ssi.items, NULL, sn, AIM_SSI_TYPE_BUDDY))) {
 		return -ENOMEM;
+	}
 
 	/* Allocate an array of pointers to the two groups */
-	if (!(groups = g_new0(struct aim_ssi_item *, 2)))
+	if (!(groups = g_new0(struct aim_ssi_item *, 2))) {
 		return -ENOMEM;
+	}
 
 	/* Look up the old parent group */
@@ -575,7 +646,10 @@
 	do {
 		buddy->bid += 0x0001;
-		for (cur=sess->ssi.items, i=0; ((cur) && (!i)); cur=cur->next)
-			if ((cur->bid == buddy->bid) && (cur->gid == buddy->gid) && (cur->type == AIM_SSI_TYPE_BUDDY) && (cur->name) && aim_sncmp(cur->name, buddy->name))
-				i=1;
+		for (cur = sess->ssi.items, i = 0; ((cur) && (!i)); cur = cur->next) {
+			if ((cur->bid == buddy->bid) && (cur->gid == buddy->gid) && (cur->type == AIM_SSI_TYPE_BUDDY) &&
+			    (cur->name) && aim_sncmp(cur->name, buddy->name)) {
+				i = 1;
+			}
+		}
 	} while (i);
 
@@ -614,10 +688,12 @@
 	int i;
 
-	if (!sess || !conn || !gn || !sn || !num)
-		return -EINVAL;
+	if (!sess || !conn || !gn || !sn || !num) {
+		return -EINVAL;
+	}
 
 	/* Look up the parent group */
-	if (!(parentgroup = aim_ssi_itemlist_finditem(sess->ssi.items, NULL, gn, AIM_SSI_TYPE_GROUP)))
-		return -EINVAL;
+	if (!(parentgroup = aim_ssi_itemlist_finditem(sess->ssi.items, NULL, gn, AIM_SSI_TYPE_GROUP))) {
+		return -EINVAL;
+	}
 
 	/* Allocate an array of pointers to each of the items to be deleted */
@@ -625,5 +701,5 @@
 
 	/* Make the delitems array a pointer to the aim_ssi_item structs to be deleted */
-	for (i=0; i<num; i++) {
+	for (i = 0; i < num; i++) {
 		if (!(delitems[i] = aim_ssi_itemlist_finditem(sess->ssi.items, NULL, sn[i], AIM_SSI_TYPE_BUDDY))) {
 			g_free(delitems);
@@ -635,7 +711,10 @@
 			sess->ssi.items = sess->ssi.items->next;
 		} else {
-			for (cur=sess->ssi.items; (cur->next && (cur->next!=delitems[i])); cur=cur->next);
-			if (cur->next)
+			for (cur = sess->ssi.items; (cur->next && (cur->next != delitems[i])); cur = cur->next) {
+				;
+			}
+			if (cur->next) {
 				cur->next = cur->next->next;
+			}
 		}
 	}
@@ -645,9 +724,11 @@
 
 	/* Free the items */
-	for (i=0; i<num; i++) {
-		if (delitems[i]->name)
+	for (i = 0; i < num; i++) {
+		if (delitems[i]->name) {
 			g_free(delitems[i]->name);
-		if (delitems[i]->data)
-			aim_freetlvchain((aim_tlvlist_t **)&delitems[i]->data);
+		}
+		if (delitems[i]->data) {
+			aim_freetlvchain((aim_tlvlist_t **) &delitems[i]->data);
+		}
 		g_free(delitems[i]);
 	}
@@ -661,6 +742,7 @@
 
 	/* Delete the group, but only if it's empty */
-	if (!parentgroup->data)
+	if (!parentgroup->data) {
 		aim_ssi_delgroups(sess, conn, &parentgroup->name, 1);
+	}
 
 	/* Begin sending SSI SNACs */
@@ -682,10 +764,12 @@
 	struct aim_ssi_item *cur, *delitem;
 
-	if (!sess || !conn)
-		return -EINVAL;
+	if (!sess || !conn) {
+		return -EINVAL;
+	}
 
 	/* Make delitem a pointer to the aim_ssi_item to be deleted */
-	if (!(delitem = aim_ssi_itemlist_find(sess->ssi.items, 0, 0)))
-		return -EINVAL;
+	if (!(delitem = aim_ssi_itemlist_find(sess->ssi.items, 0, 0))) {
+		return -EINVAL;
+	}
 
 	/* Remove delitem from the item list */
@@ -693,7 +777,10 @@
 		sess->ssi.items = sess->ssi.items->next;
 	} else {
-		for (cur=sess->ssi.items; (cur->next && (cur->next!=delitem)); cur=cur->next);
-		if (cur->next)
+		for (cur = sess->ssi.items; (cur->next && (cur->next != delitem)); cur = cur->next) {
+			;
+		}
+		if (cur->next) {
 			cur->next = cur->next->next;
+		}
 	}
 
@@ -702,8 +789,10 @@
 
 	/* Free the item */
-	if (delitem->name)
+	if (delitem->name) {
 		g_free(delitem->name);
-	if (delitem->data)
-		aim_freetlvchain((aim_tlvlist_t **)&delitem->data);
+	}
+	if (delitem->data) {
+		aim_freetlvchain((aim_tlvlist_t **) &delitem->data);
+	}
 	g_free(delitem);
 
@@ -723,14 +812,17 @@
  * @return Return 0 if no errors, otherwise return the error number.
  */
-int aim_ssi_delgroups(aim_session_t *sess, aim_conn_t *conn, char **gn, unsigned int num) {
+int aim_ssi_delgroups(aim_session_t *sess, aim_conn_t *conn, char **gn, unsigned int num)
+{
 	struct aim_ssi_item *cur, *parentgroup, **delitems;
 	int i;
 
-	if (!sess || !conn || !gn || !num)
-		return -EINVAL;
+	if (!sess || !conn || !gn || !num) {
+		return -EINVAL;
+	}
 
 	/* Look up the parent group */
-	if (!(parentgroup = aim_ssi_itemlist_find(sess->ssi.items, 0, 0)))
-		return -EINVAL;
+	if (!(parentgroup = aim_ssi_itemlist_find(sess->ssi.items, 0, 0))) {
+		return -EINVAL;
+	}
 
 	/* Allocate an array of pointers to each of the items to be deleted */
@@ -738,5 +830,5 @@
 
 	/* Make the delitems array a pointer to the aim_ssi_item structs to be deleted */
-	for (i=0; i<num; i++) {
+	for (i = 0; i < num; i++) {
 		if (!(delitems[i] = aim_ssi_itemlist_finditem(sess->ssi.items, NULL, gn[i], AIM_SSI_TYPE_GROUP))) {
 			g_free(delitems);
@@ -748,7 +840,10 @@
 			sess->ssi.items = sess->ssi.items->next;
 		} else {
-			for (cur=sess->ssi.items; (cur->next && (cur->next!=delitems[i])); cur=cur->next);
-			if (cur->next)
+			for (cur = sess->ssi.items; (cur->next && (cur->next != delitems[i])); cur = cur->next) {
+				;
+			}
+			if (cur->next) {
 				cur->next = cur->next->next;
+			}
 		}
 	}
@@ -758,9 +853,11 @@
 
 	/* Free the items */
-	for (i=0; i<num; i++) {
-		if (delitems[i]->name)
+	for (i = 0; i < num; i++) {
+		if (delitems[i]->name) {
 			g_free(delitems[i]->name);
-		if (delitems[i]->data)
-			aim_freetlvchain((aim_tlvlist_t **)&delitems[i]->data);
+		}
+		if (delitems[i]->data) {
+			aim_freetlvchain((aim_tlvlist_t **) &delitems[i]->data);
+		}
 		g_free(delitems[i]);
 	}
@@ -774,6 +871,7 @@
 
 	/* Delete the group, but only if it's empty */
-	if (!parentgroup->data)
+	if (!parentgroup->data) {
 		aim_ssi_delmastergroup(sess, conn);
+	}
 
 	/* Begin sending SSI SNACs */
@@ -784,6 +882,6 @@
 
 /**
- * Delete an array of a certain type of item from the list.  This can be 
- * used for permit buddies, deny buddies, ICQ's ignore buddies, and 
+ * Delete an array of a certain type of item from the list.  This can be
+ * used for permit buddies, deny buddies, ICQ's ignore buddies, and
  * probably other types, also.
  *
@@ -794,10 +892,12 @@
  * @return Return 0 if no errors, otherwise return the error number.
  */
-int aim_ssi_delpord(aim_session_t *sess, aim_conn_t *conn, char **sn, unsigned int num, guint16 type) {
+int aim_ssi_delpord(aim_session_t *sess, aim_conn_t *conn, char **sn, unsigned int num, guint16 type)
+{
 	struct aim_ssi_item *cur, **delitems;
 	int i;
 
-	if (!sess || !conn || !sn || !num || (type!=AIM_SSI_TYPE_PERMIT && type!=AIM_SSI_TYPE_DENY))
-		return -EINVAL;
+	if (!sess || !conn || !sn || !num || (type != AIM_SSI_TYPE_PERMIT && type != AIM_SSI_TYPE_DENY)) {
+		return -EINVAL;
+	}
 
 	/* Allocate an array of pointers to each of the items to be deleted */
@@ -805,5 +905,5 @@
 
 	/* Make the delitems array a pointer to the aim_ssi_item structs to be deleted */
-	for (i=0; i<num; i++) {
+	for (i = 0; i < num; i++) {
 		if (!(delitems[i] = aim_ssi_itemlist_finditem(sess->ssi.items, NULL, sn[i], type))) {
 			g_free(delitems);
@@ -815,7 +915,10 @@
 			sess->ssi.items = sess->ssi.items->next;
 		} else {
-			for (cur=sess->ssi.items; (cur->next && (cur->next!=delitems[i])); cur=cur->next);
-			if (cur->next)
+			for (cur = sess->ssi.items; (cur->next && (cur->next != delitems[i])); cur = cur->next) {
+				;
+			}
+			if (cur->next) {
 				cur->next = cur->next->next;
+			}
 		}
 	}
@@ -825,9 +928,11 @@
 
 	/* Free the items */
-	for (i=0; i<num; i++) {
-		if (delitems[i]->name)
+	for (i = 0; i < num; i++) {
+		if (delitems[i]->name) {
 			g_free(delitems[i]->name);
-		if (delitems[i]->data)
-			aim_freetlvchain((aim_tlvlist_t **)&delitems[i]->data);
+		}
+		if (delitems[i]->data) {
+			aim_freetlvchain((aim_tlvlist_t **) &delitems[i]->data);
+		}
 		g_free(delitems[i]);
 	}
@@ -856,6 +961,7 @@
 	aim_rxcallback_t userfunc;
 
-	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype)))
+	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype))) {
 		ret = userfunc(sess, rx);
+	}
 
 	return ret;
@@ -867,9 +973,11 @@
 	aim_snacid_t snacid;
 
-	if (!sess || !conn)
-		return -EINVAL;
-
-	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 10)))
+	if (!sess || !conn) {
+		return -EINVAL;
+	}
+
+	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, 10))) {
 		return -ENOMEM;
+	}
 
 	snacid = aim_cachesnac(sess, AIM_CB_FAM_SSI, AIM_CB_SSI_REQFULLLIST, 0x0000, NULL, 0);
@@ -895,8 +1003,8 @@
 
 	/* When you set the version for the SSI family to 2-4, the beginning of this changes.
-	 * Instead of the version and then the revision, there is "0x0006" and then a type 
-	 * 0x0001 TLV containing the 2 byte SSI family version that you sent earlier.  Also, 
-	 * the SNAC flags go from 0x0000 to 0x8000.  I guess the 0x0006 is the length of the 
-	 * TLV(s) that follow.  The rights SNAC does the same thing, with the differing flag 
+	 * Instead of the version and then the revision, there is "0x0006" and then a type
+	 * 0x0001 TLV containing the 2 byte SSI family version that you sent earlier.  Also,
+	 * the SNAC flags go from 0x0000 to 0x8000.  I guess the 0x0006 is the length of the
+	 * TLV(s) that follow.  The rights SNAC does the same thing, with the differing flag
 	 * and everything.
 	 */
@@ -904,8 +1012,11 @@
 	fmtver = aimbs_get8(bs); /* Version of ssi data.  Should be 0x00 */
 	revision = aimbs_get16(bs); /* # of times ssi data has been modified */
-	if (revision != 0)
+	if (revision != 0) {
 		sess->ssi.revision = revision;
-
-	for (cur = sess->ssi.items; cur && cur->next; cur=cur->next) ;
+	}
+
+	for (cur = sess->ssi.items; cur && cur->next; cur = cur->next) {
+		;
+	}
 
 	while (aim_bstream_empty(bs) > 4) { /* last four bytes are stamp */
@@ -913,15 +1024,18 @@
 
 		if (!sess->ssi.items) {
-			if (!(sess->ssi.items = g_new0(struct aim_ssi_item, 1)))
+			if (!(sess->ssi.items = g_new0(struct aim_ssi_item, 1))) {
 				return -ENOMEM;
+			}
 			cur = sess->ssi.items;
 		} else {
-			if (!(cur->next = g_new0(struct aim_ssi_item, 1)))
+			if (!(cur->next = g_new0(struct aim_ssi_item, 1))) {
 				return -ENOMEM;
+			}
 			cur = cur->next;
 		}
 
-		if ((namelen = aimbs_get16(bs)))
+		if ((namelen = aimbs_get16(bs))) {
 			cur->name = aimbs_getstr(bs, namelen);
+		}
 		cur->gid = aimbs_get16(bs);
 		cur->bid = aimbs_get16(bs);
@@ -932,5 +1046,5 @@
 
 			aim_bstream_init(&tbs, bs->data + bs->offset /* XXX */, tbslen);
-			cur->data = (void *)aim_readtlvchain(&tbs);
+			cur->data = (void *) aim_readtlvchain(&tbs);
 			aim_bstream_advance(bs, tbslen);
 		}
@@ -938,10 +1052,12 @@
 
 	timestamp = aimbs_get32(bs);
-	if (timestamp != 0)
+	if (timestamp != 0) {
 		sess->ssi.timestamp = timestamp;
+	}
 	sess->ssi.received_data = 1;
 
-	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype)))
+	if ((userfunc = aim_callhandler(sess, rx->conn, snac->family, snac->subtype))) {
 		ret = userfunc(sess, rx, fmtver, sess->ssi.revision, sess->ssi.timestamp, sess->ssi.items);
+	}
 
 	return ret;
@@ -955,5 +1071,5 @@
  * presence information for everyone in your list and put your permit/deny
  * settings into effect.
- * 
+ *
  */
 int aim_ssi_enable(aim_session_t *sess, aim_conn_t *conn)
@@ -977,27 +1093,28 @@
  * @return Return 0 if no errors, otherwise return the error number.
  */
-int aim_ssi_auth_request( aim_session_t *sess, aim_conn_t *conn, char *uin, char *reason )
+int aim_ssi_auth_request(aim_session_t *sess, aim_conn_t *conn, char *uin, char *reason)
 {
 	aim_frame_t *fr;
 	aim_snacid_t snacid;
 	int snaclen;
-	
-	snaclen = 10 + 1 + strlen( uin ) + 2 + strlen( reason ) + 2;
-	
-	if( !( fr = aim_tx_new( sess, conn, AIM_FRAMETYPE_FLAP, 0x02, snaclen ) ) )
+
+	snaclen = 10 + 1 + strlen(uin) + 2 + strlen(reason) + 2;
+
+	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, snaclen))) {
 		return -ENOMEM;
-
-	snacid = aim_cachesnac( sess, AIM_CB_FAM_SSI, AIM_CB_SSI_SENDAUTHREQ, 0x0000, NULL, 0 );
-	aim_putsnac( &fr->data, AIM_CB_FAM_SSI, AIM_CB_SSI_SENDAUTHREQ, 0x0000, snacid );
-	
-	aimbs_put8( &fr->data, strlen( uin ) );
-	aimbs_putraw( &fr->data, (guint8 *)uin, strlen( uin ) );
-	aimbs_put16( &fr->data, strlen( reason ) );
-	aimbs_putraw( &fr->data, (guint8 *)reason, strlen( reason ) );
-	aimbs_put16( &fr->data, 0 );
-	
-	aim_tx_enqueue( sess, fr );
-	
-	return( 0 );
+	}
+
+	snacid = aim_cachesnac(sess, AIM_CB_FAM_SSI, AIM_CB_SSI_SENDAUTHREQ, 0x0000, NULL, 0);
+	aim_putsnac(&fr->data, AIM_CB_FAM_SSI, AIM_CB_SSI_SENDAUTHREQ, 0x0000, snacid);
+
+	aimbs_put8(&fr->data, strlen(uin));
+	aimbs_putraw(&fr->data, (guint8 *) uin, strlen(uin));
+	aimbs_put16(&fr->data, strlen(reason));
+	aimbs_putraw(&fr->data, (guint8 *) reason, strlen(reason));
+	aimbs_put16(&fr->data, 0);
+
+	aim_tx_enqueue(sess, fr);
+
+	return(0);
 }
 
@@ -1012,27 +1129,28 @@
  * @return Return 0 if no errors, otherwise return the error number.
  */
-int aim_ssi_auth_reply( aim_session_t *sess, aim_conn_t *conn, char *uin, int yesno, char *reason )
+int aim_ssi_auth_reply(aim_session_t *sess, aim_conn_t *conn, char *uin, int yesno, char *reason)
 {
 	aim_frame_t *fr;
 	aim_snacid_t snacid;
 	int snaclen;
-	
-	snaclen = 10 + 1 + strlen( uin ) + 3 + strlen( reason );
-	
-	if( !( fr = aim_tx_new( sess, conn, AIM_FRAMETYPE_FLAP, 0x02, snaclen ) ) )
+
+	snaclen = 10 + 1 + strlen(uin) + 3 + strlen(reason);
+
+	if (!(fr = aim_tx_new(sess, conn, AIM_FRAMETYPE_FLAP, 0x02, snaclen))) {
 		return -ENOMEM;
-	
-	snacid = aim_cachesnac( sess, AIM_CB_FAM_SSI, AIM_CB_SSI_SENDAUTHREP, 0x0000, NULL, 0 );
-	aim_putsnac( &fr->data, AIM_CB_FAM_SSI, AIM_CB_SSI_SENDAUTHREP, 0x0000, snacid );
-	
-	aimbs_put8( &fr->data, strlen( uin ) );
-	aimbs_putraw( &fr->data, (guint8 *)uin, strlen( uin ) );
-	aimbs_put8( &fr->data, yesno );
-	aimbs_put16( &fr->data, strlen( reason ) );
-	aimbs_putraw( &fr->data, (guint8 *)reason, strlen( reason ) );
-	
-	aim_tx_enqueue( sess, fr );
-	
-	return( 0 );
+	}
+
+	snacid = aim_cachesnac(sess, AIM_CB_FAM_SSI, AIM_CB_SSI_SENDAUTHREP, 0x0000, NULL, 0);
+	aim_putsnac(&fr->data, AIM_CB_FAM_SSI, AIM_CB_SSI_SENDAUTHREP, 0x0000, snacid);
+
+	aimbs_put8(&fr->data, strlen(uin));
+	aimbs_putraw(&fr->data, (guint8 *) uin, strlen(uin));
+	aimbs_put8(&fr->data, yesno);
+	aimbs_put16(&fr->data, strlen(reason));
+	aimbs_putraw(&fr->data, (guint8 *) reason, strlen(reason));
+
+	aim_tx_enqueue(sess, fr);
+
+	return(0);
 }
 
